<?php header("Access-Control-Allow-Origin: *");
  header("Access-Control-Allow-Headers: *");  

  header('Content-Type: application/json');

  include '../db/connectMe.php';   
  include '../function/function.php';  

  // (C) GENERATE JWT TOKEN
  require "../vendor/autoload.php";
  use Firebase\JWT\JWT;


  if( AuthorizeMe(@substr(getallheaders()["Authorization"], 7)) ){

    $jwt = substr(getallheaders()["Authorization"], 7);

    //Decoding data
    $decodeToken = (json_decode(base64_decode(str_replace('_', '/', str_replace('-','+',explode('.', $jwt)[1]))))->data);

    if(!isset($decodeToken)){

      exit(json_encode(array("error" => "unauthorised") ));

    }

    
    //All categories

    if($decodeToken->UT== 'wsadmin' ){

      $specSet = find_all_specification(); 

    }else if($decodeToken->UT== 'admin'){

      $specSet = find_all_specification_for_business($decodeToken->BUSID); 
    }

    //BRANCH USER
    else if($decodeToken->UT== 'manager' || $decodeToken->UT== 'technician'  ){

      //your branch
      $branch = find_branch_by_id($decodeToken->BID); 

      $specSet = find_all_specification_for_business($branch->tbl_businessId); 
    }


    if(empty($specSet)){
      exit(json_encode([]));
    }
    
    foreach ($specSet as $spec[]) {

      $item = $spec;

      $json = json_encode($item);

    }

    exit($json) ;

  }else{

    exit(json_encode(array("error" => "unauthorised") ));

  }